#include<iostream>

using namespace std;

int main() {
	int W,H,R,Q;
	cin>>W>>H>>R>>Q;
	int x[Q];
	for (int i = 0; i < Q; i++) {
		cin>>x[i];
		if(x[i]==1){
			
		}
		else{
			
		}
	}
	cout<<0;
	return 0;
}